Bug 1023586 - (CVE-2013-4471) CVE-2013-4471 OpenStack: python-django-horizonpassword reset vulnerability
CVE-2013-4471 OpenStack: python-django-horizonpassword reset vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131008,repor...
: Security
Depends On: 1016647 1037414 1037415
Blocks: 1034568
  Show dependency treegraph
 
Reported: 2013-10-25 16:33 EDT by Kurt Seifried
Modified: 2016-04-26 22:03 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 00:36:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-10-25 16:33:57 EDT
Rami Vaknin of Red Hat reports:

Version
=======
rhos 4.0 on rhel 6.5, puddle 2013-10-03.3

Description
===========

Scenario:

1. Login to horizon, you can choose any user, either admin or non-admin
2. Click on the Setting link on the right-up corner
3. Choose the Change Password vertical-tab
4. Enter a wrong "Current Password" value
5. Enter a new password in the New Password and New Password Confirm bixes

The password will be changed to the new one althought the old password is wrong.

Note that you're requested to provide a non-empty value in the Current Password box in order to proceed with the change password operation.
Comment 1 Matthias Runge 2013-10-28 03:34:04 EDT
Yes, that's a known issue in a pre-release. It's already fixed in all python-django-horizon-2013.2-1 builds (and later).
Comment 3 Kurt Seifried 2013-12-03 01:20:54 EST
Upstream reference:

https://bugs.launchpad.net/horizon/+bug/1237989

Note You need to log in before you can comment on or make changes to this bug.